Remote Code Execution (RCE)

Affecting pear/archive_tar package, versions <1.4.4

Do your applications use this vulnerable package? Test your applications

Overview

pear/archive_tar is a Tar file management class with compression support (gzip, bzip2, lzma2)

Affected versions of this package are vulnerable to Remote Code Execution (RCE). Filenames that start with phar:// are vulnerable.

Remediation

Upgrade pear/archive_tar to version 1.4.4 or higher.

References

CVSS Score

5.6
medium severity
  • Attack Vector
    Network
  • Attack Complexity
    High
  • Privileges Required
    None
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    Low
  • Integrity
    Low
  • Availability
    Low
CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L
Credit
mrook
CVE
CVE-2018-1000888
CWE
CWE-94
Snyk ID
SNYK-PHP-PEARARCHIVETAR-73509
Disclosed
15 Jan, 2019
Published
15 Jan, 2019